---
title: Performance benchmarks
permalink: /performance/
relative_path: pages/performance.md
layout: page
noindex: true
sitemap: false
---

# {{ page.title }} for v1.1.0

These are the execution times for the current indicators using two years of historical daily stock quotes (502 periods) with default or typical parameters.

``` bash
pytest=v7.4.3, pytest-benchmark=v4.0.0 OS=macOS Sonoma 14.1.2
Apple M1, 8 cores, MacBook Air (2020)
.NET 8
```

## Indicators

```bash
---------------------------------------------------------------------------------------- benchmark: 79 tests -----------------------------------------------------------------------------------------
Name (time in ms)                       Min                 Max               Mean             StdDev             Median               IQR            Outliers       OPS            Rounds  Iterations
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
test_benchmark_renko                 1.2920 (1.0)        6.6554 (2.84)      1.4367 (1.0)       0.4691 (5.30)      1.3233 (1.0)      0.0430 (2.05)         5;29  696.0450 (1.0)         178           1
test_benchmark_triple_ema            1.8219 (1.41)       2.5790 (1.10)      1.9844 (1.38)      0.1422 (1.61)      1.9419 (1.47)     0.0431 (2.05)        56;67  503.9265 (0.72)        202           1
test_benchmark_t3                    1.8219 (1.41)       2.6660 (1.14)      2.0513 (1.43)      0.1628 (1.84)      2.0423 (1.54)     0.0497 (2.37)        71;76  487.4857 (0.70)        212           1
test_benchmark_tsi                   1.8228 (1.41)      80.4345 (34.26)     2.3342 (1.62)      5.4574 (61.63)     1.8942 (1.43)     0.1612 (7.68)         1;20  428.4180 (0.62)        207           1
test_benchmark_dema                  1.8248 (1.41)       2.4851 (1.06)      1.9563 (1.36)      0.1388 (1.57)      1.9064 (1.44)     0.0458 (2.18)        30;37  511.1580 (0.73)        204           1
test_benchmark_rsi                   1.8280 (1.41)       2.6368 (1.12)      1.8982 (1.32)      0.1206 (1.36)      1.8561 (1.40)     0.0217 (1.03)        40;49  526.8111 (0.76)        323           1
test_benchmark_smma                  1.8317 (1.42)       2.3475 (1.0)       1.8856 (1.31)      0.0886 (1.0)       1.8494 (1.40)     0.0210 (1.00)        38;46  530.3377 (0.76)        270           1
test_benchmark_pvo                   1.8337 (1.42)       2.7500 (1.17)      1.9793 (1.38)      0.1635 (1.85)      1.9215 (1.45)     0.0396 (1.89)        30;57  505.2262 (0.73)        200           1
test_benchmark_vwap                  1.8342 (1.42)       2.8455 (1.21)      1.9665 (1.37)      0.1432 (1.62)      1.9392 (1.47)     0.1156 (5.50)        32;30  508.5086 (0.73)        238           1
test_benchmark_vwma                  1.8423 (1.43)       3.7814 (1.61)      1.9740 (1.37)      0.1989 (2.25)      1.9242 (1.45)     0.0333 (1.59)        27;91  506.5761 (0.73)        226           1
test_benchmark_smi                   1.8433 (1.43)       3.5432 (1.51)      1.9504 (1.36)      0.1707 (1.93)      1.8973 (1.43)     0.0419 (2.00)        19;39  512.7223 (0.74)        206           1
test_benchmark_roc                   1.8442 (1.43)       2.9374 (1.25)      1.9271 (1.34)      0.1452 (1.64)      1.8637 (1.41)     0.0815 (3.88)        28;36  518.9217 (0.75)        308           1
test_benchmark_force_index           1.8445 (1.43)       5.4059 (2.30)      1.9719 (1.37)      0.2642 (2.98)      1.9172 (1.45)     0.0568 (2.70)        10;34  507.1362 (0.73)        219           1
test_benchmark_kama                  1.8450 (1.43)       4.3961 (1.87)      1.9436 (1.35)      0.2165 (2.44)      1.8821 (1.42)     0.0550 (2.62)        13;45  514.5096 (0.74)        237           1
test_benchmark_stdev                 1.8490 (1.43)       4.0086 (1.71)      1.9837 (1.38)      0.2446 (2.76)      1.8977 (1.43)     0.0471 (2.24)        21;33  504.1118 (0.72)        175           1
test_benchmark_vortex                1.8499 (1.43)       4.2456 (1.81)      1.9748 (1.37)      0.2719 (3.07)      1.8934 (1.43)     0.0492 (2.34)        15;42  506.3864 (0.73)        243           1
test_benchmark_williams_r            1.8512 (1.43)       2.7878 (1.19)      1.9460 (1.35)      0.1688 (1.91)      1.8879 (1.43)     0.0501 (2.39)        35;38  513.8629 (0.74)        262           1
test_benchmark_stoch                 1.8516 (1.43)       2.7547 (1.17)      1.9221 (1.34)      0.1284 (1.45)      1.8802 (1.42)     0.0382 (1.82)        39;46  520.2704 (0.75)        293           1
test_benchmark_fcb                   1.8518 (1.43)       3.7665 (1.60)      2.0461 (1.42)      0.2460 (2.78)      1.9604 (1.48)     0.0708 (3.37)        15;33  488.7438 (0.70)        168           1
test_benchmark_parabolic_sar         1.8552 (1.44)      77.1184 (32.85)     2.4900 (1.73)      6.1371 (69.30)     1.9372 (1.46)     0.0566 (2.69)         1;26  401.6079 (0.58)        150           1
test_benchmark_fractal               1.8558 (1.44)       2.6480 (1.13)      1.9180 (1.34)      0.1089 (1.23)      1.8760 (1.42)     0.0243 (1.15)        39;43  521.3643 (0.75)        266           1
test_benchmark_obv                   1.8594 (1.44)       2.6845 (1.14)      1.9402 (1.35)      0.1227 (1.39)      1.8938 (1.43)     0.0319 (1.52)        34;37  515.4004 (0.74)        222           1
test_benchmark_ema                   1.8598 (1.44)       2.8349 (1.21)      1.9979 (1.39)      0.1995 (2.25)      1.9172 (1.45)     0.0531 (2.53)        24;28  500.5235 (0.72)        159           1
test_benchmark_bop                   1.8610 (1.44)       3.6538 (1.56)      1.9797 (1.38)      0.2221 (2.51)      1.8907 (1.43)     0.0858 (4.09)        21;26  505.1144 (0.73)        145           1
test_benchmark_ma_envelopes          1.8610 (1.44)       4.0292 (1.72)      2.0164 (1.40)      0.2767 (3.12)      1.9727 (1.49)     0.1243 (5.92)        11;28  495.9377 (0.71)        210           1
test_benchmark_super_trend           1.8620 (1.44)       3.2338 (1.38)      2.0214 (1.41)      0.1694 (1.91)      1.9720 (1.49)     0.0303 (1.44)        28;69  494.7026 (0.71)        203           1
test_benchmark_gator                 1.8645 (1.44)       3.6871 (1.57)      2.1747 (1.51)      0.2356 (2.66)      2.1570 (1.63)     0.1599 (7.62)        44;15  459.8429 (0.66)        165           1
test_benchmark_slope                 1.8650 (1.44)       4.4140 (1.88)      1.9504 (1.36)      0.2247 (2.54)      1.8846 (1.42)     0.0306 (1.46)        28;43  512.7245 (0.74)        262           1
test_benchmark_wma                   1.8651 (1.44)       2.8108 (1.20)      1.9436 (1.35)      0.1588 (1.79)      1.8817 (1.42)     0.0324 (1.54)        42;52  514.5159 (0.74)        331           1
test_benchmark_stoch_rsi             1.8666 (1.44)       2.8168 (1.20)      1.9882 (1.38)      0.1653 (1.87)      1.9483 (1.47)     0.0905 (4.31)        19;27  502.9643 (0.72)        204           1
test_benchmark_ultimate              1.8667 (1.44)       3.8044 (1.62)      1.9980 (1.39)      0.2466 (2.78)      1.9170 (1.45)     0.0371 (1.77)        15;33  500.5092 (0.72)        172           1
test_benchmark_mama                  1.8668 (1.44)       2.8278 (1.20)      2.0298 (1.41)      0.1447 (1.63)      1.9901 (1.50)     0.0391 (1.86)        49;59  492.6484 (0.71)        192           1
test_benchmark_kvo                   1.8713 (1.45)       2.7299 (1.16)      1.9860 (1.38)      0.1236 (1.40)      1.9468 (1.47)     0.0395 (1.88)        32;46  503.5125 (0.72)        209           1
test_benchmark_cci                   1.8717 (1.45)       4.0359 (1.72)      1.9956 (1.39)      0.2816 (3.18)      1.8958 (1.43)     0.0484 (2.31)        17;29  501.1145 (0.72)        166           1
test_benchmark_fisher_transform      1.8719 (1.45)       3.9780 (1.69)      2.0764 (1.45)      0.3204 (3.62)      1.9967 (1.51)     0.1036 (4.94)        23;36  481.6013 (0.69)        229           1
test_benchmark_stdev_channels        1.8730 (1.45)       2.9645 (1.26)      2.0278 (1.41)      0.1680 (1.90)      1.9755 (1.49)     0.0621 (2.96)        26;31  493.1556 (0.71)        175           1
test_benchmark_keltner               1.8751 (1.45)       3.0730 (1.31)      2.0179 (1.40)      0.1554 (1.76)      1.9698 (1.49)     0.0677 (3.22)        28;34  495.5683 (0.71)        203           1
test_benchmark_sma                   1.8763 (1.45)       2.5530 (1.09)      1.9398 (1.35)      0.1214 (1.37)      1.8908 (1.43)     0.0210 (1.0)         47;53  515.5193 (0.74)        346           1
test_benchmark_mfi                   1.8774 (1.45)       3.2116 (1.37)      1.9826 (1.38)      0.1831 (2.07)      1.9201 (1.45)     0.0248 (1.18)        18;38  504.3787 (0.72)        192           1
test_benchmark_chop                  1.8785 (1.45)       4.4234 (1.88)      1.9980 (1.39)      0.2378 (2.69)      1.9275 (1.46)     0.0449 (2.14)        15;37  500.4925 (0.72)        216           1
test_benchmark_elder_ray             1.8830 (1.46)      90.9043 (38.72)     2.4685 (1.72)      6.5232 (73.66)     1.9159 (1.45)     0.0295 (1.41)         1;35  405.1063 (0.58)        186           1
test_benchmark_chandelier            1.8925 (1.46)       3.5493 (1.51)      2.0451 (1.42)      0.2216 (2.50)      1.9638 (1.48)     0.1159 (5.52)        13;15  488.9800 (0.70)        133           1
test_benchmark_marubozu              1.8992 (1.47)       2.7188 (1.16)      1.9912 (1.39)      0.1346 (1.52)      1.9436 (1.47)     0.0834 (3.97)        33;34  502.2014 (0.72)        279           1
test_benchmark_doji                  1.9005 (1.47)       3.6257 (1.54)      2.0907 (1.46)      0.2431 (2.74)      2.0155 (1.52)     0.0586 (2.79)        11;47  478.3172 (0.69)        128           1
test_benchmark_starc_bands           1.9032 (1.47)       3.0884 (1.32)      2.0164 (1.40)      0.1694 (1.91)      1.9578 (1.48)     0.0483 (2.30)        25;37  495.9278 (0.71)        193           1
test_benchmark_volatility_stop       1.9035 (1.47)       4.2989 (1.83)      2.0418 (1.42)      0.2396 (2.71)      1.9627 (1.48)     0.0499 (2.37)        12;36  489.7679 (0.70)        181           1
test_benchmark_trix                  1.9045 (1.47)       2.7670 (1.18)      2.1156 (1.47)      0.1824 (2.06)      2.0747 (1.57)     0.1312 (6.25)        49;25  472.6691 (0.68)        195           1
test_benchmark_ht_trendline          1.9099 (1.48)       7.6003 (3.24)      2.0385 (1.42)      0.5723 (6.46)      1.9306 (1.46)     0.0611 (2.91)         1;17  490.5480 (0.70)        100           1
test_benchmark_epma                  1.9132 (1.48)       4.4494 (1.90)      2.0360 (1.42)      0.2991 (3.38)      1.9329 (1.46)     0.0571 (2.72)        10;22  491.1476 (0.71)        115           1
test_benchmark_bollinger_bands       1.9162 (1.48)       4.7273 (2.01)      2.1555 (1.50)      0.3296 (3.72)      2.0708 (1.56)     0.0798 (3.80)         9;43  463.9190 (0.67)        134           1
test_benchmark_cmf                   1.9168 (1.48)       3.7757 (1.61)      2.0393 (1.42)      0.2394 (2.70)      1.9468 (1.47)     0.0685 (3.26)        14;29  490.3749 (0.70)        141           1
test_benchmark_chaikin_osc           1.9181 (1.48)       4.3587 (1.86)      2.1143 (1.47)      0.2545 (2.87)      2.0339 (1.54)     0.1177 (5.60)         9;11  472.9725 (0.68)        135           1
test_benchmark_macd                  1.9323 (1.50)       3.0132 (1.28)      2.0445 (1.42)      0.1853 (2.09)      1.9636 (1.48)     0.0496 (2.36)        27;32  489.1069 (0.70)        156           1
test_benchmark_dpo                   1.9324 (1.50)       3.6948 (1.57)      2.0822 (1.45)      0.2160 (2.44)      1.9967 (1.51)     0.0837 (3.99)        18;21  480.2695 (0.69)        112           1
test_benchmark_ulcer_index           1.9397 (1.50)       3.1512 (1.34)      2.0663 (1.44)      0.1811 (2.04)      1.9964 (1.51)     0.0505 (2.41)        29;36  483.9577 (0.70)        203           1
test_benchmark_stc                   1.9470 (1.51)       4.6712 (1.99)      2.1431 (1.49)      0.3430 (3.87)      2.0424 (1.54)     0.0976 (4.65)         9;29  466.6172 (0.67)        148           1
test_benchmark_zig_zag               1.9475 (1.51)       5.6769 (2.42)      2.2712 (1.58)      0.3960 (4.47)      2.1572 (1.63)     0.0730 (3.48)         9;31  440.2946 (0.63)        109           1
test_benchmark_pivot_points          1.9620 (1.52)       3.4776 (1.48)      2.0998 (1.46)      0.1979 (2.23)      2.0240 (1.53)     0.0736 (3.51)        16;25  476.2351 (0.68)        131           1
test_benchmark_pmo                   1.9825 (1.53)       3.7246 (1.59)      2.1768 (1.52)      0.2409 (2.72)      2.1175 (1.60)     0.0579 (2.76)        14;35  459.3990 (0.66)        128           1
test_benchmark_atr                   2.0014 (1.55)       6.5094 (2.77)      2.3323 (1.62)      0.6392 (7.22)      2.0497 (1.55)     0.3968 (18.90)       15;13  428.7606 (0.62)        152           1
test_benchmark_hma                   2.0021 (1.55)       3.0360 (1.29)      2.1249 (1.48)      0.2241 (2.53)      2.0367 (1.54)     0.0472 (2.25)         9;16  470.5999 (0.68)         87           1
test_benchmark_pivots                2.0237 (1.57)       6.9811 (2.97)      2.2433 (1.56)      0.6756 (7.63)      2.0643 (1.56)     0.1112 (5.29)         6;22  445.7818 (0.64)        138           1
test_benchmark_heikin_ashi           2.0287 (1.57)       3.2938 (1.40)      2.1944 (1.53)      0.1986 (2.24)      2.1074 (1.59)     0.1117 (5.32)        18;19  455.6979 (0.65)        139           1
test_benchmark_aroon                 2.0447 (1.58)       5.5609 (2.37)      2.4977 (1.74)      0.4658 (5.26)      2.3730 (1.79)     0.2808 (13.37)        10;7  400.3688 (0.58)        105           1
test_benchmark_connors_rsi           2.0522 (1.59)       3.2725 (1.39)      2.1538 (1.50)      0.1874 (2.12)      2.0786 (1.57)     0.0521 (2.48)        14;16  464.2949 (0.67)         87           1
test_benchmark_donchian              2.0921 (1.62)       3.2928 (1.40)      2.2104 (1.54)      0.2218 (2.50)      2.1242 (1.61)     0.0358 (1.71)        10;20  452.3981 (0.65)         97           1
test_benchmark_rolling_pivots        2.1125 (1.64)       6.4552 (2.75)      2.2753 (1.58)      0.4773 (5.39)      2.1476 (1.62)     0.0506 (2.41)         6;30  439.5085 (0.63)        148           1
test_benchmark_alma                  2.2909 (1.77)      27.3493 (11.65)     4.2225 (2.94)      3.8652 (43.65)     2.7018 (2.04)     1.5852 (75.49)       11;15  236.8280 (0.34)        120           1
test_benchmark_ichimoku              2.3900 (1.85)      19.7711 (8.42)      3.6550 (2.54)      1.9827 (22.39)     2.6557 (2.01)     2.0630 (98.24)         5;2  273.6011 (0.39)        107           1
test_benchmark_awesome               2.4133 (1.87)       5.8633 (2.50)      2.7145 (1.89)      0.5041 (5.69)      2.5218 (1.91)     0.3563 (16.97)         7;7  368.3891 (0.53)         98           1
test_benchmark_hurst                 2.5846 (2.00)      19.6246 (8.36)      3.9588 (2.76)      2.0912 (23.61)     2.9010 (2.19)     2.6532 (126.35)        4;1  252.6023 (0.36)        102           1
test_benchmark_prs                   2.7917 (2.16)       3.8994 (1.66)      2.9141 (2.03)      0.1608 (1.82)      2.8382 (2.14)     0.1347 (6.41)        37;17  343.1570 (0.49)        173           1
test_benchmark_correlation           2.8172 (2.18)       4.3187 (1.84)      2.9642 (2.06)      0.1991 (2.25)      2.8782 (2.18)     0.1852 (8.82)         24;8  337.3615 (0.48)        181           1
test_benchmark_beta                  2.9131 (2.25)      11.8359 (5.04)      3.6456 (2.54)      1.0569 (11.94)     3.3601 (2.54)     0.3375 (16.07)         4;7  274.3056 (0.39)         85           1
test_benchmark_alligator             3.9279 (3.04)       8.9075 (3.79)      4.4748 (3.11)      0.7511 (8.48)      4.3254 (3.27)     0.1222 (5.82)         4;23  223.4727 (0.32)         59           1
test_benchmark_adx                   4.7320 (3.66)      25.8230 (11.00)     7.1897 (5.00)      5.0038 (56.50)     4.9456 (3.74)     0.5344 (25.45)        7;10  139.0886 (0.20)         50           1
test_benchmark_adl                   5.4705 (4.23)       7.3897 (3.15)      6.1501 (4.28)      0.5099 (5.76)      6.1970 (4.68)     0.5431 (25.86)         9;2  162.5984 (0.23)         27           1
test_benchmark_sma_longlong         41.1517 (31.85)    120.7058 (51.42)    52.0935 (36.26)    25.8060 (291.41)   42.3879 (32.03)    2.0056 (95.51)         3;3   19.1963 (0.03)         23           1
test_benchmark_hurst_longlong       60.4707 (46.80)    133.3788 (56.82)    70.5514 (49.11)    24.3917 (275.44)   61.2936 (46.32)    2.5663 (122.21)        2;2   14.1741 (0.02)         16           1
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Legend:
  Outliers: 1 Standard Deviation from Mean; 1.5 IQR (InterQuartile Range) from 1st Quartile and 3rd Quartile.
  OPS: Operations Per Second, computed as 1 / Mean
```


---
# {{ page.title }} for v1.0.0

These are the execution times for the current indicators using two years of historical daily stock quotes (502 periods) with default or typical parameters.

``` bash
pytest=v6.2.5, pytest-benchmark=v3.4.1 OS=macOS Monterey 12.5
Apple M1, 8 cores, MacBook Air (2020)
.NET 6
```

## Indicators

```bash
---------------------------------------------------------------------------------------- benchmark: 80 tests -----------------------------------------------------------------------------------------
Name (time in ms)                       Min                 Max               Mean             StdDev             Median               IQR            Outliers       OPS            Rounds  Iterations
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
test_benchmark_renko                 1.6574 (1.0)        2.9116 (1.06)      1.7372 (1.0)       0.1487 (1.77)      1.6745 (1.0)      0.1527 (1.19)          7;2  575.6399 (1.0)         122           1
test_benchmark_alma                  2.2150 (1.34)     100.7342 (36.54)     3.0028 (1.73)      7.4281 (88.19)     2.3214 (1.39)     0.1676 (1.31)          1;9  333.0242 (0.58)        176           1
test_benchmark_atr                   2.2681 (1.37)       4.4278 (1.61)      2.4105 (1.39)      0.2017 (2.39)      2.3537 (1.41)     0.1612 (1.26)          7;5  414.8504 (0.72)        170           1
test_benchmark_cci                   2.2790 (1.38)      78.7748 (28.57)     2.8302 (1.63)      5.7747 (68.56)     2.3547 (1.41)     0.1375 (1.07)          1;4  353.3327 (0.61)        175           1
test_benchmark_ema                   2.2878 (1.38)       3.5308 (1.28)      2.4223 (1.39)      0.1347 (1.60)      2.3707 (1.42)     0.1581 (1.23)         12;2  412.8352 (0.72)        167           1
test_benchmark_bollinger_bands       2.2922 (1.38)       2.8762 (1.04)      2.4209 (1.39)      0.1138 (1.35)      2.3737 (1.42)     0.1591 (1.24)         19;3  413.0619 (0.72)        127           1
test_benchmark_roc                   2.2967 (1.39)       3.0719 (1.11)      2.4182 (1.39)      0.1043 (1.24)      2.3598 (1.41)     0.1449 (1.13)         32;4  413.5305 (0.72)        219           1
test_benchmark_kama                  2.2972 (1.39)       2.9766 (1.08)      2.4010 (1.38)      0.0932 (1.11)      2.3451 (1.40)     0.1369 (1.07)         29;1  416.5006 (0.72)        167           1
test_benchmark_adx                   2.2991 (1.39)       7.4640 (2.71)      2.6088 (1.50)      0.7419 (8.81)      2.3662 (1.41)     0.1803 (1.40)        11;15  383.3144 (0.67)        133           1
test_benchmark_awesome               2.3002 (1.39)       3.7825 (1.37)      2.4455 (1.41)      0.1968 (2.34)      2.3569 (1.41)     0.1664 (1.30)          7;5  408.9095 (0.71)        152           1
test_benchmark_bop                   2.3007 (1.39)       5.5773 (2.02)      2.4551 (1.41)      0.3081 (3.66)      2.3665 (1.41)     0.1531 (1.19)          4;4  407.3194 (0.71)        128           1
test_benchmark_fisher_transform      2.3068 (1.39)       2.9399 (1.07)      2.4296 (1.40)      0.1022 (1.21)      2.3884 (1.43)     0.1406 (1.09)         38;3  411.5911 (0.72)        163           1
test_benchmark_adl                   2.3073 (1.39)       4.5819 (1.66)      2.4947 (1.44)      0.4462 (5.30)      2.3596 (1.41)     0.1675 (1.30)          1;1  400.8522 (0.70)         25           1
test_benchmark_chop                  2.3088 (1.39)       5.5838 (2.03)      2.4649 (1.42)      0.3084 (3.66)      2.3963 (1.43)     0.1622 (1.26)          5;5  405.6952 (0.70)        155           1
test_benchmark_pvo                   2.3103 (1.39)       3.0191 (1.10)      2.4365 (1.40)      0.1040 (1.23)      2.3733 (1.42)     0.1420 (1.11)         26;4  410.4295 (0.71)        183           1
test_benchmark_aroon                 2.3109 (1.39)       3.4798 (1.26)      2.4390 (1.40)      0.1487 (1.77)      2.3669 (1.41)     0.1595 (1.24)         10;3  410.0110 (0.71)        119           1
test_benchmark_rsi                   2.3112 (1.39)      80.4267 (29.17)     2.7055 (1.56)      4.6963 (55.76)     2.3680 (1.41)     0.1384 (1.08)          1;5  369.6239 (0.64)        276           1
test_benchmark_tsi                   2.3114 (1.39)       2.8353 (1.03)      2.4340 (1.40)      0.0931 (1.11)      2.3848 (1.42)     0.1380 (1.07)         34;2  410.8482 (0.71)        164           1
test_benchmark_chandelier            2.3118 (1.39)       4.4430 (1.61)      2.4570 (1.41)      0.2249 (2.67)      2.4018 (1.43)     0.1624 (1.26)          7;5  406.9989 (0.71)        173           1
test_benchmark_doji                  2.3243 (1.40)       3.5377 (1.28)      2.4787 (1.43)      0.1622 (1.93)      2.4180 (1.44)     0.1451 (1.13)         10;5  403.4309 (0.70)        102           1
test_benchmark_chaikin_osc           2.3295 (1.41)       3.1746 (1.15)      2.4619 (1.42)      0.1279 (1.52)      2.4050 (1.44)     0.1442 (1.12)         13;5  406.1895 (0.71)        117           1
test_benchmark_obv                   2.3298 (1.41)      81.4391 (29.54)     2.8933 (1.67)      5.6553 (67.14)     2.4447 (1.46)     0.1707 (1.33)          1;3  345.6280 (0.60)        195           1
test_benchmark_pmo                   2.3396 (1.41)       2.7571 (1.0)       2.4212 (1.39)      0.0904 (1.07)      2.3648 (1.41)     0.1377 (1.07)         21;2  413.0227 (0.72)        114           1
test_benchmark_alligator             2.3403 (1.41)       3.3640 (1.22)      2.4604 (1.42)      0.1788 (2.12)      2.3812 (1.42)     0.1555 (1.21)          4;3  406.4460 (0.71)         48           1
test_benchmark_fcb                   2.3442 (1.41)      79.5877 (28.87)     3.0080 (1.73)      6.4959 (77.12)     2.4180 (1.44)     0.1536 (1.20)          1;1  332.4459 (0.58)        141           1
test_benchmark_stdev                 2.3452 (1.42)      83.3521 (30.23)     2.9266 (1.68)      6.1871 (73.46)     2.4022 (1.43)     0.1374 (1.07)          1;3  341.6918 (0.59)        171           1
test_benchmark_t3                    2.3510 (1.42)      80.8448 (29.32)     3.0943 (1.78)      7.1580 (84.98)     2.3890 (1.43)     0.1466 (1.14)          1;3  323.1732 (0.56)        120           1
test_benchmark_sma                   2.3558 (1.42)       2.9725 (1.08)      2.4472 (1.41)      0.0880 (1.05)      2.3962 (1.43)     0.1431 (1.11)         64;2  408.6312 (0.71)        309           1
test_benchmark_trix                  2.3574 (1.42)       2.9425 (1.07)      2.4540 (1.41)      0.0971 (1.15)      2.3956 (1.43)     0.1417 (1.10)         20;2  407.4902 (0.71)        152           1
test_benchmark_kvo                   2.3624 (1.43)       2.8862 (1.05)      2.4441 (1.41)      0.0959 (1.14)      2.3845 (1.42)     0.1416 (1.10)         22;2  409.1435 (0.71)        149           1
test_benchmark_ma_envelopes          2.3632 (1.43)       5.2028 (1.89)      2.5352 (1.46)      0.2558 (3.04)      2.4683 (1.47)     0.1749 (1.36)          6;5  394.4426 (0.69)        166           1
test_benchmark_connors_rsi           2.3636 (1.43)       2.8833 (1.05)      2.4698 (1.42)      0.0996 (1.18)      2.4412 (1.46)     0.1469 (1.14)         24;2  404.8920 (0.70)         97           1
test_benchmark_pivot_points          2.3643 (1.43)       4.1478 (1.50)      2.5004 (1.44)      0.2320 (2.75)      2.4003 (1.43)     0.1692 (1.32)          7;5  399.9437 (0.69)         95           1
test_benchmark_vwap                  2.3645 (1.43)      80.5228 (29.21)     2.9154 (1.68)      5.8846 (69.87)     2.4138 (1.44)     0.1399 (1.09)          1;6  343.0118 (0.60)        176           1
test_benchmark_smi                   2.3650 (1.43)       2.9602 (1.07)      2.4737 (1.42)      0.1039 (1.23)      2.4117 (1.44)     0.1499 (1.17)         33;4  404.2494 (0.70)        189           1
test_benchmark_cmf                   2.3655 (1.43)       5.6912 (2.06)      2.5735 (1.48)      0.4231 (5.02)      2.4382 (1.46)     0.1601 (1.25)          6;9  388.5783 (0.68)        124           1
test_benchmark_parabolic_sar         2.3657 (1.43)       3.0547 (1.11)      2.4655 (1.42)      0.1207 (1.43)      2.3993 (1.43)     0.1434 (1.12)          9;4  405.5975 (0.70)         96           1
test_benchmark_wma                   2.3691 (1.43)      82.8252 (30.04)     2.7480 (1.58)      4.7440 (56.32)     2.4205 (1.45)     0.1320 (1.03)          1;3  363.9008 (0.63)        287           1
test_benchmark_mfi                   2.3712 (1.43)       2.9429 (1.07)      2.4684 (1.42)      0.1015 (1.21)      2.4113 (1.44)     0.1552 (1.21)         35;3  405.1242 (0.70)        182           1
test_benchmark_macd                  2.3765 (1.43)      80.1003 (29.05)     2.9267 (1.68)      5.7851 (68.68)     2.4489 (1.46)     0.1469 (1.14)          1;2  341.6786 (0.59)        180           1
test_benchmark_sma_extended          2.3789 (1.44)       2.7619 (1.00)      2.4721 (1.42)      0.0898 (1.07)      2.4286 (1.45)     0.1371 (1.07)         43;2  404.5174 (0.70)        176           1
test_benchmark_dema                  2.3858 (1.44)      89.1584 (32.34)     2.9747 (1.71)      6.4423 (76.49)     2.4450 (1.46)     0.1329 (1.04)          1;5  336.1727 (0.58)        181           1
test_benchmark_williams_r            2.3876 (1.44)       3.0262 (1.10)      2.5240 (1.45)      0.1161 (1.38)      2.4687 (1.47)     0.1647 (1.28)         28;7  396.1930 (0.69)        206           1
test_benchmark_fractal               2.3929 (1.44)       3.8272 (1.39)      2.4967 (1.44)      0.1390 (1.65)      2.4344 (1.45)     0.1493 (1.16)          8;5  400.5241 (0.70)        225           1
test_benchmark_mama                  2.3934 (1.44)       2.8937 (1.05)      2.4918 (1.43)      0.1061 (1.26)      2.4326 (1.45)     0.1480 (1.15)         16;3  401.3095 (0.70)        121           1
test_benchmark_stoch_rsi             2.3935 (1.44)       2.9751 (1.08)      2.5042 (1.44)      0.1105 (1.31)      2.4457 (1.46)     0.1574 (1.23)         20;3  399.3249 (0.69)        175           1
test_benchmark_smma                  2.3958 (1.45)       3.2075 (1.16)      2.5307 (1.46)      0.1039 (1.23)      2.4744 (1.48)     0.1353 (1.05)         33;4  395.1528 (0.69)        219           1
test_benchmark_ultimate              2.3990 (1.45)       2.9825 (1.08)      2.4842 (1.43)      0.0998 (1.18)      2.4246 (1.45)     0.1350 (1.05)         27;4  402.5472 (0.70)        200           1
test_benchmark_stc                   2.3996 (1.45)       3.1454 (1.14)      2.5116 (1.45)      0.1213 (1.44)      2.4653 (1.47)     0.1608 (1.25)         11;2  398.1598 (0.69)        109           1
test_benchmark_stoch                 2.4093 (1.45)       2.9539 (1.07)      2.5376 (1.46)      0.1040 (1.24)      2.5027 (1.49)     0.1581 (1.23)         93;1  394.0661 (0.68)        239           1
test_benchmark_marubozu              2.4095 (1.45)       3.3918 (1.23)      2.5241 (1.45)      0.1145 (1.36)      2.4693 (1.47)     0.1689 (1.32)         28;1  396.1766 (0.69)        177           1
test_benchmark_stdev_channels        2.4112 (1.45)       2.8950 (1.05)      2.5070 (1.44)      0.0934 (1.11)      2.4537 (1.47)     0.1374 (1.07)         27;3  398.8835 (0.69)        158           1
test_benchmark_super_trend           2.4119 (1.46)       3.0564 (1.11)      2.5233 (1.45)      0.1110 (1.32)      2.4727 (1.48)     0.1606 (1.25)         18;4  396.3103 (0.69)        161           1
test_benchmark_elder_ray             2.4223 (1.46)       3.0174 (1.09)      2.5726 (1.48)      0.1263 (1.50)      2.5263 (1.51)     0.1897 (1.48)         56;2  388.7095 (0.68)        176           1
test_benchmark_starc_bands           2.4313 (1.47)       3.1210 (1.13)      2.5548 (1.47)      0.1060 (1.26)      2.4951 (1.49)     0.1508 (1.17)         20;3  391.4268 (0.68)        172           1
test_benchmark_keltner               2.4362 (1.47)       3.1095 (1.13)      2.5443 (1.46)      0.1087 (1.29)      2.4789 (1.48)     0.1492 (1.16)         21;4  393.0330 (0.68)        169           1
test_benchmark_force_index           2.4365 (1.47)       3.2284 (1.17)      2.5585 (1.47)      0.1299 (1.54)      2.5013 (1.49)     0.1577 (1.23)         20;5  390.8616 (0.68)        188           1
test_benchmark_vwma                  2.4365 (1.47)       2.8986 (1.05)      2.5792 (1.48)      0.0842 (1.0)       2.5394 (1.52)     0.1368 (1.06)         49;2  387.7195 (0.67)        202           1
test_benchmark_ulcer_index           2.4420 (1.47)       3.2003 (1.16)      2.5314 (1.46)      0.1008 (1.20)      2.4760 (1.48)     0.1482 (1.15)         28;2  395.0457 (0.69)        193           1
test_benchmark_epma                  2.4434 (1.47)       3.1662 (1.15)      2.5874 (1.49)      0.1216 (1.44)      2.5412 (1.52)     0.1532 (1.19)         16;5  386.4916 (0.67)        125           1
test_benchmark_volatility_stop       2.4436 (1.47)       3.3951 (1.23)      2.5816 (1.49)      0.1314 (1.56)      2.5321 (1.51)     0.1525 (1.19)         11;3  387.3525 (0.67)        131           1
test_benchmark_triple_ema            2.4493 (1.48)       3.0130 (1.09)      2.5362 (1.46)      0.0871 (1.03)      2.4896 (1.49)     0.1338 (1.04)         30;1  394.2839 (0.68)        165           1
test_benchmark_slope                 2.4632 (1.49)       3.0468 (1.11)      2.5905 (1.49)      0.0902 (1.07)      2.5469 (1.52)     0.1435 (1.12)         55;1  386.0306 (0.67)        243           1
test_benchmark_dpo                   2.4793 (1.50)       3.7378 (1.36)      2.5963 (1.49)      0.1816 (2.16)      2.5243 (1.51)     0.1498 (1.17)          4;4  385.1707 (0.67)        106           1
test_benchmark_pivots                2.4882 (1.50)       3.2399 (1.18)      2.5847 (1.49)      0.1194 (1.42)      2.5226 (1.51)     0.1497 (1.17)          7;1  386.8849 (0.67)         83           1
test_benchmark_vortex                2.4892 (1.50)       3.0696 (1.11)      2.5769 (1.48)      0.0958 (1.14)      2.5188 (1.50)     0.1426 (1.11)         31;3  388.0655 (0.67)        197           1
test_benchmark_gator                 2.4901 (1.50)       5.7731 (2.09)      2.7010 (1.55)      0.3141 (3.73)      2.6349 (1.57)     0.1664 (1.30)          4;4  370.2336 (0.64)        128           1
test_benchmark_ht_trendline          2.4928 (1.50)       2.9470 (1.07)      2.6085 (1.50)      0.0959 (1.14)      2.5479 (1.52)     0.1440 (1.12)         23;3  383.3572 (0.67)        136           1
test_benchmark_zig_zag               2.5178 (1.52)       3.3415 (1.21)      2.6219 (1.51)      0.1397 (1.66)      2.5546 (1.53)     0.1397 (1.09)          4;3  381.4100 (0.66)         67           1
test_benchmark_heikin_ashi           2.5945 (1.57)       4.3157 (1.57)      2.7219 (1.57)      0.1855 (2.20)      2.6529 (1.58)     0.1374 (1.07)          7;4  367.3922 (0.64)        123           1
test_benchmark_hma                   2.6085 (1.57)       4.4372 (1.61)      2.7884 (1.61)      0.2108 (2.50)      2.7178 (1.62)     0.1473 (1.15)          4;4  358.6259 (0.62)         88           1
test_benchmark_donchian              2.6484 (1.60)       4.1639 (1.51)      2.8026 (1.61)      0.1870 (2.22)      2.7318 (1.63)     0.1284 (1.0)           9;9  356.8058 (0.62)        126           1
test_benchmark_rolling_pivots        2.6973 (1.63)       4.9203 (1.78)      2.8241 (1.63)      0.2128 (2.53)      2.7466 (1.64)     0.1479 (1.15)          6;2  354.0989 (0.62)        132           1
test_benchmark_hurst                 3.0476 (1.84)       5.7539 (2.09)      3.2309 (1.86)      0.2391 (2.84)      3.1924 (1.91)     0.1658 (1.29)          4;3  309.5102 (0.54)        143           1
test_benchmark_ichimoku              3.5423 (2.14)       5.6993 (2.07)      3.7514 (2.16)      0.2454 (2.91)      3.6555 (2.18)     0.1933 (1.51)          5;2  266.5680 (0.46)         91           1
test_benchmark_prs                   3.6014 (2.17)       4.1990 (1.52)      3.7929 (2.18)      0.1082 (1.29)      3.8066 (2.27)     0.1549 (1.21)         43;2  263.6498 (0.46)        145           1
test_benchmark_beta                  3.6362 (2.19)      12.5349 (4.55)      4.0685 (2.34)      1.0775 (12.79)     3.8554 (2.30)     0.1309 (1.02)         5;11  245.7928 (0.43)         83           1
test_benchmark_correlation           3.8193 (2.30)       4.5277 (1.64)      4.0095 (2.31)      0.1054 (1.25)      4.0256 (2.40)     0.1355 (1.06)         33;3  249.4049 (0.43)        151           1
test_benchmark_sma_longlong         56.3126 (33.98)    139.2124 (50.49)    67.8480 (39.06)    28.8469 (342.49)   57.8083 (34.52)    1.4496 (11.29)         1;1   14.7388 (0.03)          8           1
test_benchmark_hurst_longlong       75.6801 (45.66)    155.7022 (56.47)    88.4392 (50.91)    29.7009 (352.63)   76.9725 (45.97)    3.3941 (26.43)         1;1   11.3072 (0.02)          7           1
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Legend:
  Outliers: 1 Standard Deviation from Mean; 1.5 IQR (InterQuartile Range) from 1st Quartile and 3rd Quartile.
  OPS: Operations Per Second, computed as 1 / Mean
```
